commit: a841281e69cce0c34899c6e08f81ff953da65a58
Author: Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Fri Feb 16 23:48:36 2018 +0000
Commit: Matt Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Sat Feb 17 01:38:07 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a841281e
dev-python/oslo-cache: 1.28.0 bup
Package-Manager: Portage-2.3.19, Repoman-2.3.6
dev-python/oslo-cache/Manifest | 1 +
dev-python/oslo-cache/oslo-cache-1.28.0.ebuild | 39 ++++++++++++++++++++++++++
2 files changed, 40 insertions(+)
diff --git a/dev-python/oslo-cache/Manifest b/dev-python/oslo-cache/Manifest
index cdd5c7c561b..0c39d564148 100644
--- a/dev-python/oslo-cache/Manifest
+++ b/dev-python/oslo-cache/Manifest
@@ -1 +1,2 @@
DIST oslo-cache-1.25.1.tar.gz 51049 BLAKE2B
24e229d7c7a03fc244fe257394fcff1dc55509c6ed6a60ef8eef49c1a7660972a8412188ca96902b61463dd452bc63fed890ba27235d93dd620a93a52de706a2
SHA512
bc5b6502c6f310670ffae9b70b232ff90f0d0c04b75ba14aa4d528634f912efb243b89e229b8277e86ef3d7cbe2e81e69996c80f011d8ea4e1050646f074b297
+DIST oslo-cache-1.28.0.tar.gz 52015 BLAKE2B
897e54008ea99f367f373291d874736287dfd3d480046bdee0ab2b54969e8681144677713794ff32682b1ef65547618d5fcf403e9ae24b57768905daf7ae7f5e
SHA512
44deabf9dbe3c24afd04d09f91f95d902221995130559e7895045eed98356ed9e085f5ee9b7e2bd0b4581df563a67707121b7571b0b7f822f0bb5a55b6dedafe
diff --git a/dev-python/oslo-cache/oslo-cache-1.28.0.ebuild
b/dev-python/oslo-cache/oslo-cache-1.28.0.ebuild
new file mode 100644
index 00000000000..6c06bff9198
--- /dev/null
+++ b/dev-python/oslo-cache/oslo-cache-1.28.0.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_{4,5}} )
+
+inherit distutils-r1 vcs-snapshot
+
+MY_PN=${PN/-/.}
+
+DESCRIPTION="Oslo Caching around dogpile.cache"
+HOMEPAGE="https://launchpad.net/oslo"
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_PN}-${PV}.tar.gz ->
${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86 ~amd64-linux ~x86-linux"
+
+CDEPEND=">=dev-python/pbr-2.0.0[${PYTHON_USEDEP}]
+ !~dev-python/pbr-2.1.0[${PYTHON_USEDEP}]"
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ ${CDEPEND}
+"
+RDEPEND="
+ ${CDEPEND}
+ >=dev-python/dogpile-cache-0.6.2[${PYTHON_USEDEP}]
+ >=dev-python/six-1.10.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-config-5.1.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-i18n-3.15.3[${PYTHON_USEDEP}]
+ >=dev-python/oslo-log-3.30.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-utils-3.31.0[${PYTHON_USEDEP}]
+"
+
+python_prepare_all() {
+ sed -i '/^hacking/d' test-requirements.txt || die
+ distutils-r1_python_prepare_all
+}